Bug 255189 - devel/include-what-you-use: Update to 0.15
Summary: devel/include-what-you-use: Update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-04-18 15:46 UTC by Rene Ladan
Modified: 2021-04-23 02:15 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
This patch updates devel/include-what-you-use to 0.15/clang11 (2.33 KB, patch)
2021-04-18 15:46 UTC, Rene Ladan
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2021-04-18 15:46:44 UTC
Created attachment 224225 [details]
This patch updates devel/include-what-you-use to 0.15/clang11

This patch updates devel/include-what-you-use to 0.15/clang11

See https://include-what-you-use.org/ for a list of changes.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-19 03:21:02 UTC
Comment on attachment 224225 [details]
This patch updates devel/include-what-you-use to 0.15/clang11

Pending QA results/confirmation:

Approved by: koobs (maintainer)
Comment 2 Rene Ladan freebsd_committer 2021-04-21 10:15:26 UTC
(In reply to Kubilay Kocak from comment #1)
The build is fine with poudriere testport (or bulk -t) on both 11.4-i386 and 13.0-amd64 and the port runs fine too.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-22 01:55:15 UTC
(In reply to Rene Ladan from comment #2)

Thanks Rene, patch is 

Approved by: koobs (maintainer)
MFH: 2021Q2 (several bugfix releases)
Comment 4 commit-hook freebsd_committer 2021-04-22 12:41:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2c9f5d1cb54dc06c60f83ee79435c0bdf579e65d

commit 2c9f5d1cb54dc06c60f83ee79435c0bdf579e65d
Author:     Rene Ladan <rene@FreeBSD.org>
AuthorDate: 2021-04-22 12:38:46 +0000
Commit:     Rene Ladan <rene@FreeBSD.org>
CommitDate: 2021-04-22 12:40:36 +0000

    devel/include-what-you-use: update to 0.15

    PR:             255189
    Approved by:    koobs (maintainer)
    MFH:            2021Q2 (several bugfix releases)

 devel/include-what-you-use/Makefile  | 8 +++-----
 devel/include-what-you-use/distinfo  | 6 +++---
 devel/include-what-you-use/pkg-plist | 2 ++
 3 files changed, 8 insertions(+), 8 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-04-22 12:42:03 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1cd7238bc54a86a1b9b29213ed011f8c40404838

commit 1cd7238bc54a86a1b9b29213ed011f8c40404838
Author:     Rene Ladan <rene@FreeBSD.org>
AuthorDate: 2021-04-22 12:38:46 +0000
Commit:     Rene Ladan <rene@FreeBSD.org>
CommitDate: 2021-04-22 12:41:24 +0000

    devel/include-what-you-use: update to 0.15

    PR:             255189
    Approved by:    koobs (maintainer)
    MFH:            2021Q2 (several bugfix releases)

    (cherry picked from commit 2c9f5d1cb54dc06c60f83ee79435c0bdf579e65d)

 devel/include-what-you-use/Makefile  | 8 +++-----
 devel/include-what-you-use/distinfo  | 6 +++---
 devel/include-what-you-use/pkg-plist | 2 ++
 3 files changed, 8 insertions(+), 8 deletions(-)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-23 02:15:40 UTC
^Triage: Assign to committer that resolved and track quarterly merge